# AaveV3CollateralSwitch

### Description

Switch action if user wants to use tokens for collateral on aaveV3 market

### Action ID

`0xbffa4e35`

### SDK Action

```ts
const aaveV3CollateralSwitchAction = new dfs.actions.aaveV3.AaveV3CollateralSwitchAction(
    useDefaultMarket,
    market,
    arrayLength,
    assetIds,
    useAsCollateral
);
```

### Action Type

`STANDARD_ACTION`

### Input Parameters

```solidity
    /// @param arrayLength Length of the array.
    /// @param useDefaultMarket Whether to use the default market.
    /// @param assetIds Asset ids.
    /// @param useAsCollateral Whether to use the tokens as collateral.
    /// @param market Aave Market address.
    struct Params {
        uint8 arrayLength;
        bool useDefaultMarket;
        uint16[] assetIds;
        bool[] useAsCollateral;
        address market;
    }
```

### Return Value

```solidity
return bytes32(0);
```

### Events and Logs

```solidity
emit ActionEvent("AaveV3CollateralSwitch", logData);
logger.logActionDirectEvent("AaveV3CollateralSwitch", logData);
bytes memory logData = abi.encode(params);
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.defisaver.com/actions/aave-v3/aavev3collateralswitch.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
